imports:
    - { resource: tables.yml }
    - { resource: conditions.yml }
parameters:
    donation.version_data:
        author: dmzx
        title: donation_ext
        version: donation_ext_version
        file:
            - www.dmzx-web.net
            - /license_key
            -
services:
    dmzx.donation.controller:
        class: 'dmzx\donation\controller\donation'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@config'
            - '@controller.helper'
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '%dmzx.donation.table.donation_config%'
            - '%dmzx.donation.table.donation_donors%'
    dmzx.donation.donorlist.controller:
        class: 'dmzx\donation\controller\donorslist'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@config'
            - '@controller.helper'
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '@pagination'
            - '%dmzx.donation.table.donation_donors%'
    dmzx.donation.ipn.controller:
        class: 'dmzx\donation\controller\ipn'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@config'
            - '@request'
            - '%core.root_path%'
            - '%core.php_ext%'
    dmzx.donation.admin.controller:
        class: 'dmzx\donation\controller\admin_controller'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@config'
            - '@template'
            - '@user'
            - '@dbal.conn'
            - '@request'
            - '@pagination'
            - '@log'
            - '@service_container'
            - '@language'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '%dmzx.donation.table.donation_config%'
            - '%dmzx.donation.table.donation_donors%'
            - '%dmzx.donation.table.donation_history%'
    dmzx.donation.ucp.controller:
        class: 'dmzx\donation\controller\ucp_controller'
        arguments:
            - '@dmzx.donation.functions_donation'
    dmzx.donation.version.check:
        class: 'dmzx\donation\includes\version_check'
        shared: false
        arguments:
            - '%donation.version_data%'
            - '@config'
            - '@version_helper'
            - '@template'
            - '@user'
            - '@request'
            - '@language'
            - '%core.root_path%'
    dmzx.donation.functions_donation:
        class: 'dmzx\donation\core\functions_donation'
        arguments:
            - '@config'
            - '@user'
            - '@dbal.conn'
            - '@template'
            - '@request'
            - '@log'
            - '@service_container'
            - '@ext.manager'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '%dmzx.donation.table.donation_config%'
            - '%dmzx.donation.table.donation_donors%'
            - '%dmzx.donation.table.donation_history%'
            - '%core.table_prefix%'
            - '@?phpbb.autogroups.manager'
    dmzx.donation.cron.task.core.donation:
        class: 'dmzx\donation\cron\prune_donation'
        arguments:
            - '@config'
            - '@dmzx.donation.functions_donation'
        calls:
            - ['set_name', ['cron.task.core.donation']]
        tags:
            - { name: 'cron.task' }
    dmzx.donation.listener:
        class: 'dmzx\donation\event\listener'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@config'
            - '@controller.helper'
            - '@template'
            - '@user'
            - '@auth'
            - '@request'
            - '@language'
            - '%core.root_path%'
            - '@dbal.conn'
            - '%core.php_ext%'
            - '%dmzx.donation.table.donation_donors%'
            - '@?phpbb.collapsiblecategories.operator'
        tags:
            - { name: 'event.listener' }
    dmzx.donation.credits.controller:
        class: 'dmzx\donation\controller\credits_controller'
        arguments:
            - '@dmzx.donation.functions_donation'
            - '@auth'
            - '@template'
            - '@user'
            - '@dbal.conn'
            - '@config'
            - '@controller.helper'
            - '@log'
            - '@request'
            - '%core.php_ext%'
            - '%core.root_path%'